extends WeaponState

@export var damage: int

func enter() -> void:
	machine.animation_player.play(machine.animation_prefix + "heavy_attack")
	machine.animation_player.animation_finished.connect(on_animation_finished)
	attack()

func exit() -> void:
	machine.animation_player.animation_finished.disconnect(on_animation_finished)

func attack() -> void:
	if is_multiplayer_authority():
		Session.shoot(int(machine.player.name),damage,1.5)

func on_animation_finished(animation):
	if animation == machine.animation_prefix + "heavy_attack":
		transition.emit("Idle")
